Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028231
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfaceminoralways2014-11-19 19:172016-10-24 10:06
ReportercaristuView Statuspublic 
Assigned ToAugustoMauch 
PriorityhighResolutionfixedFixed in Version3.0PR15Q1
StatusclosedFix in branchFixed in SCM revisionc523abe0e811
ProjectionnoneETAnoneTarget Version3.0PR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028231: Focus is placed automatically on the last field under some circumnstances

DescriptionFocus is placed automatically on the last field of a tab, if this tab has the scroll bar on the right and all its fields are in read-only.
Steps To ReproduceLogin as F&B Admin
1) Go to the [Unit of Measure] tab and increase the Translation tab enough to have scrolling on the header (See attached)
2) Access on any register in form mode. Notice that the screen scrolls down automatically to the last field.
TagsNo tags attached.
Attached Filespng file icon ScrolledDown.png [^] (51,518 bytes) 2014-11-19 19:18

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0034057 closedNaroaIriarte Wrong Tabulation Order in form fields in Organization window 
related to defect 00283963.0PR15Q2 closedAugustoMauch Focus is placed automatically on the field group (if any) having all the fields in read only mode 

-  Notes
(0072024)
hgbot (developer)
2014-11-26 11:39

Repository: erp/devel/pi
Changeset: a72704b89964c9dd369c422ccefeecca16e26551
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Nov 26 11:38:42 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a72704b89964c9dd369c422ccefeecca16e26551 [^]

Fixes issue 28231: Form is not scrolled if it does not have any editable fields

The problem was that when switching from grid to form view, if the form view did not have any editable fields the focus would be placed in the first Audit field, and the scroll would be moved so that the Audit field is shown in the top of the screen. This would hide all the read only fields.

To fix this, when the switchFormGridVisibility is invoked it is detected if the focused item is an Audit field, and in that case the scroll is moved to the top so that the first batch of form fields is visible.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0072191)
alostale (developer)
2014-12-01 13:18

Reopening:

Works fine when navigating from grid to form view. But while in form view navigating to next/prev record the scrolling still occurs.
(0072217)
hgbot (developer)
2014-12-01 18:37

Repository: erp/devel/pi
Changeset: c523abe0e8115d406c7e2515be7aef9d5209ce73
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Dec 01 18:32:17 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c523abe0e8115d406c7e2515be7aef9d5209ce73 [^]

Fixes issue 28231: Form is not scrolled if it does not have any editable fields

There was a problem with the previous fix: it worked when a record was opened from the grid view to the form view, but then it did not work if the user moved to the previous or next record while in form view.

To fix this, the logic that handled the original problem has been moved from OBStandardView.switchFormGridVisibility function to the OBViewForm.setFocusInForm function. The flow goes through the latter function each time a new record is loaded. In particular the form has to be scrolled down only when the record in being initializaed in the form, that's why a flag has been added to ensure that the code is only executed when the setFocusInForm function is executed from within the retrieveInitialValues function.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0072222)
alostale (developer)
2014-12-02 07:52

code reviewed

tested navigating from grid to form and navigating to next/prev record in form
(0073144)
hudsonbot (developer)
2014-12-30 23:26

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073160)
hudsonbot (developer)
2014-12-30 23:26

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-11-19 19:17 caristu New Issue
2014-11-19 19:17 caristu Assigned To => dbaz
2014-11-19 19:17 caristu File Added: ScrolledDown.png
2014-11-19 19:17 caristu Modules => Core
2014-11-19 19:17 caristu Triggers an Emergency Pack => No
2014-11-19 19:18 caristu File Deleted: ScrolledDown.png
2014-11-19 19:18 caristu File Added: ScrolledDown.png
2014-11-19 19:18 caristu version => pi
2014-11-19 19:18 caristu Target Version => 3.0PR15Q1
2014-11-19 19:18 caristu Assigned To dbaz => AugustoMauch
2014-11-19 19:18 caristu Issue Monitored: networkb
2014-11-26 11:30 AugustoMauch Issue Monitored: alostale
2014-11-26 11:30 AugustoMauch Review Assigned To => alostale
2014-11-26 11:39 hgbot Checkin
2014-11-26 11:39 hgbot Note Added: 0072024
2014-11-26 11:39 hgbot Status new => resolved
2014-11-26 11:39 hgbot Resolution open => fixed
2014-11-26 11:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a72704b89964c9dd369c422ccefeecca16e26551 [^]
2014-12-01 13:18 alostale Note Added: 0072191
2014-12-01 13:18 alostale Status resolved => new
2014-12-01 13:18 alostale Resolution fixed => open
2014-12-01 13:38 egoitz Target Version 3.0PR15Q1 => 3.0PR15Q2
2014-12-01 18:37 hgbot Checkin
2014-12-01 18:37 hgbot Note Added: 0072217
2014-12-01 18:37 hgbot Status new => resolved
2014-12-01 18:37 hgbot Resolution open => fixed
2014-12-01 18:37 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/a72704b89964c9dd369c422ccefeecca16e26551 [^] => http://code.openbravo.com/erp/devel/pi/rev/c523abe0e8115d406c7e2515be7aef9d5209ce73 [^]
2014-12-02 07:52 alostale Note Added: 0072222
2014-12-02 07:52 alostale Status resolved => closed
2014-12-02 07:53 alostale Fixed in Version => 3.0PR15Q1
2014-12-12 09:30 caristu Relationship added related to 0028396
2014-12-30 23:26 hudsonbot Checkin
2014-12-30 23:26 hudsonbot Note Added: 0073144
2014-12-30 23:26 hudsonbot Checkin
2014-12-30 23:26 hudsonbot Note Added: 0073160
2016-10-24 10:06 NaroaIriarte Relationship added related to 0034057


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker